> For the complete documentation index, see [llms.txt](https://docs.beefree.io/beefree-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.beefree.io/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api.md).

# Content Services API

Learn more about how to get started with the Content Services API in the following sections:

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td></td><td><strong>CSAPI Overview:</strong> Learn about the services available through our Content Services API</td><td></td><td><a href="/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api/csapi-overview.md">CSAPI Overview</a></td></tr><tr><td></td><td><strong>Content Service API Reference:</strong> Explore our REST API collections and resources</td><td></td><td><a href="/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api/content-services-api-reference.md">Content Services API Reference</a></td></tr><tr><td><p></p><p><strong>Brand Style Management:</strong> Make template-wide design changes to existing templates quickly</p></td><td></td><td></td><td><a href="/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api/brand-style-management.md">Brand Style Management</a></td></tr><tr><td><p></p><p><strong>FAQs:</strong> Reference answers to our mostly commonly asked questions</p></td><td></td><td></td><td><a href="/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api/faqs.md">FAQs</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.beefree.io/beefree-sdk/~/changes/3EjxmC5rAYEIQ0JKR16k/apis/content-services-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
